package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag111;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT111Creator;

/**
 * @author liusheng
 * @date 2023/2/27
 */
public class Tag21Creator extends AbsTagCreate {

    private MT111Creator mt111Creator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt111Creator = (MT111Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt111Creator.getChequeNumber();
        mt111Creator.set("21", tag21Value);
    }
}
